summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/chmod/equal-x4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/equal-x b/tests/chmod/equal-x
index e938dc048..49f81f28e 100755
--- a/tests/chmod/equal-x
+++ b/tests/chmod/equal-x
@@ -6,8 +6,8 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=eq-x-$$
-trap 'status=$?; cd $pwd; chmod -R a+rwx $tmp; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0